makeClustM {GraphAT} | R Documentation

## Make an adjacency matrix for a cluster graph

### Description

This function takes a vector of cluster sizes and returns an adjacency matrix for a graph in which edges connect nodes if they are members of the same cluster.

### Usage

    makeClustM(nvec)

### Arguments

`nvec` | A vector of cluster sizes

### Value

A square adjacency matrix with the number of rows and columns equal to the sum of nvec. An entry of "1" in the ith row and jth column indicates that node i and node j are members of the same cluster. All other entries are "0".

### Author(s)

Denise Scholtens

### References

Balasubramanian, et al. (2004) A graph theoretic approach to integromics - integrating disparate sources of functional genomics data.

### See Also

`clust2Mat`

### Examples

    a <- makeClustM(c(2,3,4))

[Package GraphAT version 1.8.0 Index]